com.ihr.xbrl.util.workbooks

## Class SheetPointFactory

- java.lang.Object
- - com.ihr.xbrl.util.workbooks.SheetPointFactory

- Direct Known Subclasses:
    ExcelSheetPointFactory

      public abstract class SheetPointFactory
      extends java.lang.Object

  A factory for creating SheetPoint objects.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SheetPointFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `abstract java.lang.Class<? extends SheetPoint>` | `getSheetPointClass()` Access to the surrounding class implementing the SheetPoint interface.
    `abstract SheetPoint` | `makeSheetPoint(java.lang.String cellStr)` Make sheet point.
    `abstract SheetPoint` | `makeSheetPoint(java.lang.String name, RSSheet sheet, int min, short min2)` Make sheet point.
    `abstract SheetPoint` | `makeSheetPoint(java.lang.String roundingCell, RSWorkbook wb)` Make sheet point.

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SheetPointFactory

          public SheetPointFactory()

  - ### Method Detail

    - #### makeSheetPoint

          public abstract SheetPoint makeSheetPoint(java.lang.String cellStr)
                                             throws InvalidSheetPointException

      Make sheet point.
      Parameters:
        `cellStr` - the cell str
      Returns:
        the sheet point
      Throws:
        `InvalidSheetPointException` - the invalid sheet point exception

    - #### makeSheetPoint

          public abstract SheetPoint makeSheetPoint(java.lang.String roundingCell,
                                  RSWorkbook wb)
                                             throws InvalidSheetPointException

      Make sheet point.
      Parameters:
        `roundingCell` - the rounding cell
        `wb` - the wb
      Returns:
        the sheet point
      Throws:
        `InvalidSheetPointException` - the invalid sheet point exception

    - #### makeSheetPoint

          public abstract SheetPoint makeSheetPoint(java.lang.String name,
                                  RSSheet sheet,
                                  int min,
                                  short min2)

      Make sheet point.
      Parameters:
        `name` - the name
        `sheet` - the sheet
        `min` - the min
        `min2` - the min2
      Returns:
        the sheet point

    - #### getSheetPointClass

          public abstract java.lang.Class<? extends SheetPoint> getSheetPointClass()

      Access to the surrounding class implementing the SheetPoint interface.
      Returns:
        the sheet point class

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`